relaxngcc.codedom

## Class CDAssignStatement

- java.lang.Object
- - relaxngcc.codedom.CDAssignStatement

All Implemented Interfaces:
  CDStatement

    public class CDAssignStatement
    extends java.lang.Object
    implements CDStatement

### Method Summary

Methods
`void` `state(CDFormatter f)` Prints itself as a statement.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### state

    public void state(CDFormatter f)
               throws java.io.IOException

Description copied from interface: `CDStatement`
Prints itself as a statement.

Specified by:
  `state` in interface `CDStatement`
Throws:
  `java.io.IOException`